﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;
using Syncfusion.UI.Xaml.Grid;

namespace GetSelectedCellInformation
{
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            int rowindex = 0;
            //Get selectd cells data
            var selectedcells = this.sfdatagrid.GetSelectedCells();
            //calculate the total number of selected cell in SfDataGrid
            int count = selectedcells.Count;
            for (int i = 0; i < count; i++)
            {
                GridCellInfo cellinfo = selectedcells[i];
                //Get selected cell row index
                if (!cellinfo.IsDataRowCell)
                    continue;
                rowindex = this.sfdatagrid.ResolveToRowIndex(cellinfo.RowData);
                var gridColumnIndex = this.sfdatagrid.Columns.IndexOf(cellinfo.Column);
                //Resolve the column index
                var visibleColumnIndex = this.sfdatagrid.ResolveToGridVisibleColumnIndex(gridColumnIndex);
                //Get the SelectedCell values
                var propertyCollection = this.sfdatagrid.View.GetPropertyAccessProvider();
                var cellvalue = propertyCollection.GetValue(cellinfo.RowData, cellinfo.Column.MappingName);
            }
        }
    }
}
